﻿Imports System.ComponentModel.DataAnnotations
Imports Model.Interfaces

Public Class Order
    Inherits ModelBase
    Implements ILogicalDelete
    Implements ILogicalTimestamp

    Public Sub New()
        Quantity = 1
    End Sub

    <Key>
    Public Overridable Property Id As Integer

    Public Overridable Property OrderNr As Integer?

    Public Overridable Property ArticleNr As Integer?
    <Required>
    Public Overridable Property Quantity As Integer
    Public Overridable Property Description As String
    Public Overridable Property Remarks As String
    Public Overridable Property ConfirmationDate As Date?

    Public Overridable Property CurrentWorkCenter As WorkCenter

    Public Overridable Property Answers As ICollection(Of Answer)


    Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag

    Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp

    Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp

    Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp

End Class
