﻿Namespace Workspaces
    Public Class WorkCenterVm
        Inherits ViewModelBase

        Private ReadOnly _workCenter As Model.WorkCenter

        Public Sub New()

        End Sub

        Public Sub New(ws As Model.WorkCenter)
            _workCenter = ws
        End Sub


#Region "Properties"

        Public Property Id As Integer
            Get
                Return _workCenter.Id
            End Get
            Set(value As Integer)
                _workCenter.Id = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property Name As String
            Get
                Return _workCenter.Name
            End Get
            Set(value As String)
                _workCenter.Name = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property Capacity As Integer
            Get
                Return _workCenter.Capacity
            End Get
            Set(value As Integer)
                _workCenter.Capacity = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property DeletedFlag As Boolean
            Get
                Return _workCenter.DeletedFlag
            End Get
            Set(value As Boolean)
                _workCenter.DeletedFlag = value
                RaisePropertyChanged()
            End Set
        End Property

#End Region


        Public Function GetWorkCenterModelObject() As Model.WorkCenter
            Return _workCenter
        End Function

    End Class
End Namespace