﻿Imports System.ComponentModel.DataAnnotations
Imports Model.Interfaces

Public Class Answer
    Inherits ModelBase
    Implements ILogicalDelete
    Implements ILogicalTimestamp

    <key>
    Public Property Id As Integer
    Public Property RequestDate As Date?
    Public Property AnswerText As String
    Public Property ContactName As String


    Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag

    Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp

    Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp

    Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp

End Class
