﻿
Imports ViewModel.Services

Public Class DialogWindowService
    Implements IDialogWindowService


    Private _currentWindow As DialogWindow



    Public Function ShowModalDialog(windowname As String, datacontext As Object) As Boolean Implements IDialogWindowService.ShowModalDialog

        _currentWindow = New DialogWindow() With {.Name = windowname, .DataContext = datacontext, .SizeToContent = SizeToContent.WidthAndHeight, .WindowStartupLocation = WindowStartupLocation.CenterScreen}

        Return CType(_currentWindow.ShowDialog, Boolean)
    End Function

    Public Sub CloseDialog() Implements IDialogWindowService.CloseDialog
        If _currentWindow IsNot Nothing Then
            _currentWindow.Close()
        End If
    End Sub

End Class