﻿Imports System.Threading
Imports ViewModel.Services


Public Class MessageboxService
    Implements IMessageboxService
    Private Function IMessageBoxService_Show(text As String, caption As String, buttons As EnuMessageBoxButton, image As EnuMessageBoxImage) As EnuMessageBoxResult Implements IMessageboxService.Show
        Thread.CurrentThread.TrySetApartmentState(ApartmentState.STA)
        Dim wcServ As IWaitingCursorService = ServiceContainer.GetService(Of IWaitingCursorService)
        wcServ.SetWaitingCursor(False)
        Dim msgBoxResult As MessageBoxResult = MessageBox.Show(text, caption, DirectCast(buttons, MessageBoxButton), DirectCast(image, MessageBoxImage))

        Return CType(msgBoxResult, EnuMessageBoxResult)
    End Function



End Class